
Foreman - Bug #6497

New Organization: Focus should exist in Name field

07/06/2014 04:51 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Web Interface   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1113203 Red Hat JIRA:  

Pull request:    

Description

(Bugzilla: Bug 1113203)

Description of problem:

When creating a new organization, the focus should exist in the Name field upon page load, rather than requiring the user to click it.

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140624.2

How reproducible:

Steps to Reproduce:

1.  Administer > Organizations > New Organization

2.  start typing

Actual results:

No input because the focus does not by default exist on the UI in the name field.

Expected results:

Input should exist in name field on load, per most of the rest of the UI.

Related issues:

Related to Foreman - Bug #9958: Name field gets focus after any change in hos... New 03/31/2015

Associated revisions

Revision aa0ccf33 - 07/13/2014 07:34 AM - Ori Rabin

fixes #6497: New Organization: Focus should exist in Name field

History

#1 - 07/07/2014 04:29 AM - Dominic Cleal

- Category set to Web Interface

- Status changed from Assigned to Ready For Testing

- Target version set to 1.8.1

- Bugzilla link set to 1113203

https://github.com/theforeman/foreman/pull/1562

#2 - 07/07/2014 07:27 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#3 - 07/14/2014 07:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://github.com/theforeman/foreman/pull/1562


Applied in changeset aa0ccf33b3d792fa2414f8a0bb31868811a45956.

#4 - 07/21/2014 04:43 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#5 - 03/31/2015 04:50 AM - Ori Rabin

- Related to Bug #9958: Name field gets focus after any change in host edit added
